(function() {
  "use strict";

  document.addEventListener("DOMContentLoaded", function() {
	  
	  
	  
    var referrer = document.referrer;
    var dominio = document.location.hostname;
    var params = window.location.search.substring(1).split('&');
    var ref = referrer.split('/');

    if (Cookies.get('referencia') === undefined || Cookies.get('referencia') === "") {
      // se estiver vazia
      if (params == '') {
        if (referrer == '') {
          Cookies.set('referencia', "Acesso Desconhecido", { expires: 1 });
        } else if (ref[2] === dominio) {
          Cookies.set('referencia', "Acesso Direto", { expires: 1 });
        } else {
          Cookies.set('referencia', referrer, { expires: 1 });
        }
      } else {
        //console.log("tem: "+params);
        var param_origem;
        //Criar objeto que vai conter os parametros
        var paramArray = {};
        //Passar por todos os parametros
        for (var i = 0; i < params.length; i++) {
          //Dividir os parametros chave e valor
          var param = params[i].split('=');
          //Adicionar ao objeto criado antes
          paramArray[param[0]] = param[1];
        }
        var param_origem = paramArray['utm_source'] + "-" + paramArray['utm_medium'] + "-" + paramArray['utm_campaign'] + "-" + paramArray['utm_term'] + "-" + paramArray['utm_content'];
        Cookies.set('utm_source', paramArray['utm_source'], { expires: 1 });
        Cookies.set('utm_medium', paramArray['utm_medium'], { expires: 1 });
        Cookies.set('utm_campaign', paramArray['utm_campaign'], { expires: 1 });
        Cookies.set('utm_term', paramArray['utm_term'], { expires: 1 });
        Cookies.set('utm_content', paramArray['utm_content'], { expires: 1 });
      }
    }

    // scoring
    if (Cookies.get('scoring') === undefined || Cookies.get('scoring') === "") {
      Cookies.set('scoring', 1);
    } else {
      Cookies.set('scoring', parseInt(Cookies.get('scoring')) + parseInt(1));
    }
	
	const cookies = {
	  referencia: Cookies.get('referencia'),
	  utm_source: Cookies.get('utm_source'),
	  utm_medium: Cookies.get('utm_medium'),
	  utm_campaign: Cookies.get('utm_campaign'),
	  utm_term: Cookies.get('utm_term'),
	  utm_content: Cookies.get('utm_content'),
	  scoring: Cookies.get('scoring'),
	  pagina: window.location.href,
	};

	// Define os valores nos campos do modal
	for (const [key, value] of Object.entries(cookies)) {
	  document.getElementById(key).value = value;
	}

	// set cookies nos inputs hidden form header
	for (const [key, value] of Object.entries(cookies)) {
	  document.querySelector(`.${key}`).value = value;
	}
	  

  });
	

})();


function converteuGoogleAds (forma){

	  if(forma == "form_modal"){
		 gtag('event', 'conversion', {'send_to': 'AW-11199827162/4D-2CMGvwPUYENqZv9wp'}); // form modal 		
		  
	  }else if(forma == "form_topo"){
		 gtag('event', 'conversion', {'send_to': 'AW-11199827162/wwCBCO6UwvUYENqZv9wp'}); // form topo
	  }	
	
}

  // Função para enviar o formulário
  function enviarFormulario(formulario, botao, alerta) {
    formulario.addEventListener("submit", function (e) {
      e.preventDefault();
      var url = formulario.action;
      botao.textContent = "Aguarde...";
      botao.disabled = true;

      var formData = new FormData(formulario);
      var xhr = new XMLHttpRequest();
      xhr.open("POST", url, true);
    xhr.onload = function () {
  if (xhr.status === 200) {
    var resposta = JSON.parse(xhr.responseText);

    // Verificar se há uma resposta de redirecionamento
    if (resposta && resposta.redirecionar && resposta.gtag) {
		
	  	converteuGoogleAds(resposta.gtag); // função de conversão
		
		window.location.href = resposta.url;
		
	  //alerta.innerHTML = resposta.gtag;
      //window.location.href = resposta.url;
		
    } else {
      alerta.innerHTML = resposta.texto;
      botao.disabled = false;
      botao.textContent = botao.getAttribute("data-btn-text");
    }
  }
};
      xhr.send(formData);
    });
  }
  // Enviar formulário do modal
  var formModal = document.getElementById("form_modal");
  var buttonModal = document.getElementById("modal_submit");
  var alertaWhatsModal = document.getElementById("alerta_whats_modal");
  enviarFormulario(formModal, buttonModal, alertaWhatsModal);
  // Enviar formulário do header
  var formTop = document.getElementById("form_top");
  var buttonTop = document.getElementById("top_submit");
  var alertaHeader = document.getElementById("alerta_header");
  enviarFormulario(formTop, buttonTop, alertaHeader);


